Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227717 - Review Request: gimmie - Gnome panel revisited
Summary: Review Request: gimmie - Gnome panel revisited
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-07 18:46 UTC by Deji Akingunola
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 22:27:55 UTC
notting: fedora-cvs+


Attachments (Terms of Use)

Description Deji Akingunola 2007-02-07 18:46:38 UTC
Spec URL: ftp://czar.eas.yorku.ca/pub/gimmie/gimmie.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/gimmie/gimmie-0.2.3-1.src.rpm
Description: 
Gimmie is an elegant way to think about how you use your desktop computer.

Comment 1 Xavier Lamien 2007-02-08 14:06:38 UTC
unable to get srpm file --> error 550
will you check it out please ?

Comment 2 Deji Akingunola 2007-02-08 14:17:26 UTC
Sorry about that, should be there now.

Comment 3 Xavier Lamien 2007-02-08 18:07:09 UTC
Review:

+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is LGPL matched with COPYING file entry.
+ %doc is right (NEWS can be dropped from this field).
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ post ans postun is correctly set.
+ python_sitelib present.
+ Macro use appears rather consistent. (just use %{name}insted of gimmie
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

-------
I can approved it cause i'm not a sponsor.

You should think about adding a desktop entry for this app.

-------


Comment 4 Deji Akingunola 2007-02-08 18:16:49 UTC
(In reply to comment #3)

> -------
> I can approved it cause i'm not a sponsor.
> 
Thanks for the review. Of course you don't have to be a sponsor to approve a
package, but you have to be in the fedorabug group in the Fedora accounts setup.
You should also take a look at the review procedures at
http://fedoraproject.org/wiki/PackageReviewGuidelines. 
Parag AN has already assigned this review to himself.
 
> You should think about adding a desktop entry for this app.
gimmie works as an applet that can be added to the panel.

> 
> -------
> 



Comment 5 Parag AN(पराग) 2007-02-09 04:35:08 UTC
Hi Xavier,
  Kindly assign review to yourself and change blockers to 163778 when you want
to review and approve any package. 

Comment 6 Xavier Lamien 2007-02-09 12:57:11 UTC
thx Parag,
so, i'll wait that someone add me in fedorabugs group ans sponsor me.
i'll just make unofficial review then

Comment 7 Xavier Lamien 2007-02-09 12:58:18 UTC
s/ans/and

Comment 8 Parag AN(पराग) 2007-02-12 04:34:47 UTC
Everything looks Ok to me.



Comment 9 Parag AN(पराग) 2007-02-12 04:36:45 UTC
Approved.

Comment 10 ritz 2007-02-12 12:15:40 UTC
gimmie borks on rawhide.

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/gimmie/gimmie_gui.py", line 253, in
do_raise
    self.tooltip.position_to_rect(rect, screen)
SystemError: Python/getargs.c:1245: bad argument to internal function


Comment 11 Deji Akingunola 2007-02-12 14:00:56 UTC
worksforme on x86_64 rawhide. I guess it mean there's probably a needed python
module that I've failed to include in the Requires tags, will investigate.

Comment 12 Deji Akingunola 2007-02-12 22:40:24 UTC
(In reply to comment #10)
> gimmie borks on rawhide.
> 
> Traceback (most recent call last):
>   File "/usr/lib/python2.5/site-packages/gimmie/gimmie_gui.py", line 253, in
> do_raise
>     self.tooltip.position_to_rect(rect, screen)
> SystemError: Python/getargs.c:1245: bad argument to internal function
> 
Do you have all of gnome-python2-gnomekeyring, PyXML, python-sexy, and
gnome-python2-canvas installed ? If not, can you please install them and check
if you still hit the error.


Comment 13 Deji Akingunola 2007-02-13 22:27:55 UTC
The issue in comment #10 has been fixed, and package built.


Note You need to log in before you can comment on or make changes to this bug.